﻿.index-news-box{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    font-size: 0;
    padding: 150px 0;
    overflow: hidden;
}
.index-news-title-box{
    width: 320px;
    box-sizing: border-box;
    padding-left: 40px;
    display: inline-block;
    vertical-align: top;
}
.index-news-title{
    display: inline-block;
    text-align: right;
}
.index-news-title p{
    font-size: 36px;
    letter-spacing: 0.4em;
    font-family: 'roboto';
    color: #000;
    line-height: 36px;
    font-weight: 700;
    display: block;
}
.index-news-title span{
    font-size: 16px;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    color: #000;
    line-height: 36px;
    font-weight: 300;
    display: inline-block;
    box-sizing: border-box;
    padding-right: 1em;
    margin-top: 15px;
}
.index-news-info-box{
    width: calc(100% - 320px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-top: 100px;
    background-color: #366694;
}
.index-news-info{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 32px 0;
    transition: all .3s linear;
}
.index-news-info-date{
    box-sizing: border-box;
    padding: 0 50px;
    display: inline-block;
    vertical-align: middle;
    font-family: 'roboto';
    font-size: 16px;
    color: #fff;
    letter-spacing: 0.06em;
    line-height: 36px;
}
.index-news-info-text{
    width: calc(100% - 190px);
    box-sizing: border-box;
    padding: 0 50px;
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
    letter-spacing: 0.06em;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #fff;
    line-height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.index-news-info:nth-child(odd){
    background-color: rgba(255, 255, 255, 0.1);
}
.index-news-more-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 62px 50px;
}
.index-news-more-box span{
    width: 30px;
    height: 1px;
    display: inline-block;
    vertical-align: middle;
    background-color: #fff;
    margin-right: 20px;
    position: relative;
    transition: all .3s linear;
}
.index-news-more-box span::before{
    content: '';
    width: 7px;
    height: 1px;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #fff;
    transform-origin: right;
    transform: translateX(-5px) rotateZ(-45deg);
    opacity: 0;
    transition: all .3s linear;
}
.index-news-more-box span::after{
    content: '';
    width: 7px;
    height: 1px;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #fff;
    transform-origin: right;
    transform: translateX(-5px) rotateZ(45deg);
    opacity: 0;
    transition: all .3s linear;
}
.index-news-more-box p{
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
    letter-spacing: 0.2em;
    font-family: 'Noto Sans TC';
    color: #fff;
    line-height: 36px;
    transition: all .3s linear;
}


@media only screen and (max-width: 1200px){
    .index-news-box{
        padding: 100px 0;
    }
    .index-news-title-box {
        width: 260px;
    }
    .index-news-info-box {
        width: calc(100% - 260px);
    }
}
@media only screen and (max-width: 1000px){
    .index-news-box{
        padding: 80px 0;
    }
    .index-news-title-box {
        width: 100%;
        padding-left: 20px;
        margin-bottom: 20px;
    }
    .index-news-info-box {
        width: 100%;
    }
}
@media only screen and (max-width: 768px){
    .index-news-box{
        padding: 40px 0;
    }
    .index-news-title-box {
        width: 100%;
        padding-left: 20px;
        margin-bottom: 20px;
    }
    .index-news-info-box {
        padding-top: 60px;
    }
    .index-news-title p{
        font-size: 26px;
        line-height: 26px;
    }
    .index-news-title span{
        font-size: 14px;
        line-height: 26px;
        padding-right: 10px;
        margin-top: 5px;
    }
    .index-news-more-box{
        padding: 30px 30px;
    }
    .index-news-info{
        padding: 22px 0;
    }
    .index-news-info-date{
        padding: 0 30px;
    }
    .index-news-info-text {
        width: calc(100% - 150px);
        padding: 0 30px;
    }
}
@media only screen and (max-width: 550px){
    .index-news-box{
        padding: 20px 0;
    }
    .index-news-title-box {
        width: 100%;
        padding-left: 2.5vw;
        margin-bottom: 10px;
    }
    .index-news-info-box {
        padding-top: 20px;
    }
    .index-news-title p{
        font-size: 18px;
        line-height: 20px;
    }
    .index-news-title span{
        font-size: 12px;
        line-height: 20px;
        margin-top: 0;
        padding-right: 5px;
    }
    .index-news-more-box{
        padding: 10px 2.5vw;
    }
    .index-news-info{
        padding: 12px 0;
    }
    .index-news-info-date{
        padding: 0 2.5vw;
        font-size: 14px;
        line-height: 30px;
    }
    .index-news-info-text {
        width: calc(100% - (79px + 5vw));
        padding: 0 2.5vw;
        font-size: 14px;
        line-height: 30px;
    }
    .index-news-more-box span{
        width: 25px;
        margin-right: 10px;
    }
    .index-news-more-box p{
        font-size: 14px;
        line-height: 30px;
    }
}
@media only screen and (max-width: 400px){
    .index-news-info-date{
        width: 100%;
        display: block;
    }
    .index-news-info-text {
        width: 100%;
        display: block;
        margin-top: 5px;
        line-height: 1.5;
    }
}



/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .index-news-title p,
    .index-news-title span,
    .index-news-info-box{
        opacity: 0;
    }
	.index-news-title.anima p{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
	.index-news-title.anima span{
        animation: fadeInLeft 1s ease 0.3s 1 both;
    }
    .index-news-info-box.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .index-news-info:hover{
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.35);
        z-index: 1;
    }
    .index-news-more-box:hover p{
        text-shadow: rgba(0,0,0,0.6) 2px 2px 2px;
    }
    .index-news-more-box:hover span{
        transform: translateX(5px);
    }
    .index-news-more-box:hover span::before{
        transform: translateX(0) rotateZ(-45deg);
        opacity: 1;
    }
    .index-news-more-box:hover span::after{
        transform: translateX(0) rotateZ(45deg);
        opacity: 1;
    }
}

